Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
friendship293a

Giúp e giải đề này với ( bản vẽ đính kèm)

Các bài được khuyến nghị

Với bài toán theo file bạn gởi thì dùng lisp này.


(defun C:HA( / ent1 ent2 pt p1 p2 px lst1 lst2)
 (if
  (and
   (setq ent1 (car (entsel "\nChon duong mat: ")))
   (setq pt (getpoint "\nChon diem tim: "))
   (setq ent2 (car (entsel "\nChon cao do diem tim: "))))
  (while (setq p (getpoint "\nPick diem can tinh: "))
   (setq lst1 (entget ent1) p1 (cdr (assoc 10 lst1)))
   (setq lst2 (entget ent2) p2 (cdr (assoc 11 lst2)) txt2 (cdr (assoc 1 lst2)))
   (entmake (list (cons 0 "LINE") (cons 10 p) (cons 11 (list (car p) (cadr p1)))))
   (setq txt (rtos (+ (distof txt2) (- (cadr p) (cadr pt))) 2 3))
   (setq px (polar p2 0 (- (car p) (car pt))))
   (setq lst2 (subst (cons 1 txt) (cons 1 txt2) lst2))
   (setq lst2 (subst (cons 11 px) (cons 11 p2) lst2))
   (entmake lst2)))
 (princ))
 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh hiểu nhầm ý của em rùi. ý của e là muốn a viết cho e một đoạn lisp chi cần chọn đường thẳng 1 và 2 rồi nó tự động cắt tất cả đối tượng nằm giữa 2 đường thẳng cơ ket quả như trong bản vẽ mô tả

.http://www.cadviet.com/upfiles/3/1030_1030_hoi_2_1_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×